POST/desk/api/v2/helpdocssites/{id}/duplicate.json

Duplicate an existing helpdocssite by id.

Duplicate an existing helpdocssite

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Body Params

HelpdocsSiteDuplicateReq are the options for duplicating a helpdocsite

    • Name
      description
      Type
      string
    • Name
      name
      Type
      string
    • Name
      subdomain
      Type
      string

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      Validator hold the validation errors. Typically you shouldn't create this directly but use the New() function.

    Examples

    200 OK

    HelpdocsSiteAPIBody
    {  "helpdocssite": {    "articleTemplate": "string",    "authenticationType": "string",    "authenticationTypeId": 0,    "categoryTemplate": "string",    "contactFormEnabled": true,    "contributors": [      {        "delete": true,        "id": 0,        "meta": {          "additionalProp": "Unknown Type: any"        },        "type": 0      }    ],    "createdAt": "2026-09-30T14:22:01.681Z",